curl --request POST \
--url https://api.myscalev.com/v3/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_type": "physical",
"name": "<string>",
"description": "<string>",
"is_inventory": true,
"is_multiple": true,
"is_product_sharing": true,
"meta_thumbnail": "<string>",
"option1_name": "<string>",
"option2_name": "<string>",
"option3_name": "<string>",
"partnership_sales_letter": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"slug": "<string>",
"taxonomy_id": 123,
"variants": [
{
"price": 123,
"weight": 123,
"cogs": 123,
"description": "<string>",
"images": [
"<string>"
],
"is_checked": true,
"metadata": {},
"option1_value": "<string>",
"option2_value": "<string>",
"option3_value": "<string>",
"reseller_price": 123,
"rich_description": "<string>",
"self_file_urls": [
"<string>"
],
"sku": "<string>"
}
]
}
'{
"variants_count": 123,
"display": "<string>",
"option1_name": "<string>",
"variants": [
{
"cogs": 123,
"price_bt": 123,
"validity_period_unit": "day",
"option1_value": "<string>",
"reseller_price_bt": 123,
"option2_value": "<string>",
"reseller_price": 123,
"fullname": "<string>",
"validity_period": 123,
"uuid": "<string>",
"rich_description": "<string>",
"sku": "<string>",
"digital_product_files": [
{
"content_type": "<string>",
"id": 123,
"name": "<string>",
"size_in_bytes": 123,
"url": "<string>"
}
],
"product_name": "<string>",
"item_type": "physical",
"pricing_type": "one_time",
"upsell_form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"description": "<string>",
"self_file_urls": [
"<string>"
],
"name": "<string>",
"id": 123,
"unique_id": "<string>",
"cogs_bt": 123,
"currency": "IDR",
"price": 123,
"images": [
"<string>"
],
"weight": 123,
"form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"is_checked": true,
"interval_count": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"product_id": 123,
"option3_value": "<string>",
"interval": "day",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"is_editable": true
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"is_inventory": true,
"uuid": "<string>",
"last_updated_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"rich_description": "<string>",
"affiliate_pro_commission_rate": "<string>",
"taxonomy": {
"full_path": "<string>",
"id": 123,
"level_1": "<string>",
"level_2": "<string>",
"level_3": "<string>",
"level_4": "<string>",
"level_5": "<string>",
"level_6": "<string>",
"level_7": "<string>"
},
"created_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"item_type": "physical",
"is_affiliate_pro_enabled": true,
"item_type_name": "<string>",
"description": "<string>",
"name": "<string>",
"id": 123,
"option2_name": "<string>",
"is_product_sharing": true,
"warehouses": [
{
"id": 123,
"name": "<string>"
}
],
"is_affiliate_auto_accept": true,
"meta_thumbnail": "<string>",
"product_mailketing_lists": [
{
"mailketing_list": {
"id": 123,
"list": "<string>",
"list_name": "<string>"
},
"order_status": "draft"
}
],
"is_affiliate_enabled": true,
"images": [
"<string>"
],
"is_multiple": true,
"labels": [
{
"name": "<string>"
}
],
"option3_name": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"partnership_sales_letter": "<string>",
"slug": "<string>",
"affiliate_commission_rate": "<string>",
"product_birdsend_sequences": [
{
"birdsend_sequence": {
"active": true,
"form_id": 123,
"id": 123,
"name": "<string>",
"sequence_id": 123,
"type": "sequence"
},
"order_status": "draft"
}
],
"public_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Requires the product:create machine scope. Creates a new product with the provided data.
curl --request POST \
--url https://api.myscalev.com/v3/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_type": "physical",
"name": "<string>",
"description": "<string>",
"is_inventory": true,
"is_multiple": true,
"is_product_sharing": true,
"meta_thumbnail": "<string>",
"option1_name": "<string>",
"option2_name": "<string>",
"option3_name": "<string>",
"partnership_sales_letter": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"slug": "<string>",
"taxonomy_id": 123,
"variants": [
{
"price": 123,
"weight": 123,
"cogs": 123,
"description": "<string>",
"images": [
"<string>"
],
"is_checked": true,
"metadata": {},
"option1_value": "<string>",
"option2_value": "<string>",
"option3_value": "<string>",
"reseller_price": 123,
"rich_description": "<string>",
"self_file_urls": [
"<string>"
],
"sku": "<string>"
}
]
}
'{
"variants_count": 123,
"display": "<string>",
"option1_name": "<string>",
"variants": [
{
"cogs": 123,
"price_bt": 123,
"validity_period_unit": "day",
"option1_value": "<string>",
"reseller_price_bt": 123,
"option2_value": "<string>",
"reseller_price": 123,
"fullname": "<string>",
"validity_period": 123,
"uuid": "<string>",
"rich_description": "<string>",
"sku": "<string>",
"digital_product_files": [
{
"content_type": "<string>",
"id": 123,
"name": "<string>",
"size_in_bytes": 123,
"url": "<string>"
}
],
"product_name": "<string>",
"item_type": "physical",
"pricing_type": "one_time",
"upsell_form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"description": "<string>",
"self_file_urls": [
"<string>"
],
"name": "<string>",
"id": 123,
"unique_id": "<string>",
"cogs_bt": 123,
"currency": "IDR",
"price": 123,
"images": [
"<string>"
],
"weight": 123,
"form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"is_checked": true,
"interval_count": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"product_id": 123,
"option3_value": "<string>",
"interval": "day",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"is_editable": true
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"is_inventory": true,
"uuid": "<string>",
"last_updated_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"rich_description": "<string>",
"affiliate_pro_commission_rate": "<string>",
"taxonomy": {
"full_path": "<string>",
"id": 123,
"level_1": "<string>",
"level_2": "<string>",
"level_3": "<string>",
"level_4": "<string>",
"level_5": "<string>",
"level_6": "<string>",
"level_7": "<string>"
},
"created_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"item_type": "physical",
"is_affiliate_pro_enabled": true,
"item_type_name": "<string>",
"description": "<string>",
"name": "<string>",
"id": 123,
"option2_name": "<string>",
"is_product_sharing": true,
"warehouses": [
{
"id": 123,
"name": "<string>"
}
],
"is_affiliate_auto_accept": true,
"meta_thumbnail": "<string>",
"product_mailketing_lists": [
{
"mailketing_list": {
"id": 123,
"list": "<string>",
"list_name": "<string>"
},
"order_status": "draft"
}
],
"is_affiliate_enabled": true,
"images": [
"<string>"
],
"is_multiple": true,
"labels": [
{
"name": "<string>"
}
],
"option3_name": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"partnership_sales_letter": "<string>",
"slug": "<string>",
"affiliate_commission_rate": "<string>",
"product_birdsend_sequences": [
{
"birdsend_sequence": {
"active": true,
"form_id": 123,
"id": 123,
"name": "<string>",
"sequence_id": 123,
"type": "sequence"
},
"order_status": "draft"
}
],
"public_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Product data to create
Type of the product item
physical, digital, course, license, subscription Product Name
Description
Is Inventory
Is Multiple
Is Product Sharing
Meta Thumbnail
Option 1 Name
Option 2 Name
Option 3 Name
Partnership sales letter for affiliate/reseller promotion
Product Public Name
Rich Description
Product Slug
Taxonomy ID
List of variants associated with the product
Show child attributes
Product created successfully
Variants Count
Product name for display
Option 1 Name
Show child attributes
Show child attributes
Is Inventory
Product UUID
Show child attributes
Rich Description
Affiliate Pro Commission Rate (%)
Show child attributes
Show child attributes
Type of the product item
physical, digital, course, license, subscription Is Affiliate Pro Enabled
Item Type Name
Description
Product Name
Product ID
Option 2 Name
Is Product Sharing
Show child attributes
Is Affiliate Auto Accept
Meta Thumbnail
Show child attributes
Is Affiliate Enabled
Is Multiple
Show child attributes
Option 3 Name
Show child attributes
Partnership sales letter for affiliate/reseller promotion
Product Slug
Affiliate Commission Rate (%)
Show child attributes
Product Public Name